Contenu | Rechercher | Menus

Annonce

T-shirt Seiche Cosmic, Série limitée

L'équipe des administrateurs et modérateurs du forum vous invite à prendre connaissance des nouvelles règles.
En cas de besoin, vous pouvez intervenir dans cette discussion.

Ubuntu 18.10
T-shirt Ubuntu-FR « Seiche Cosmique » en série limitée ! Prix spécial pré-vente (15€) jusqu'au 4 novembre 2018.

Si vous avez des soucis pour rester connecté, déconnectez-vous puis reconnectez-vous depuis ce lien en cochant la case
Me connecter automatiquement lors de mes prochaines visites.

À propos de l'équipe du forum.

Heure d'hiver: N'oubliez pas de décochez l'heure d'été dans votre profil.

#1 Le 16/05/2018, à 17:44

aguerriera

Impossible d'utiliser VirtualBox

Bonjour à tous !

Comment allez-vous ?

Tout d'abord, je suis débutant sous Linux, Ubuntu. Donc s'il vous plaît ne vous énervez pas. :)

Commençons par le commencement, j'ai suivi le tutoriel de ubuntu-fr (https://doc.ubuntu-fr.org/virtualbox)

Après toutes les étapes de ce tuto je démarre donc dans un Terminal Virtualbox, jusque là aucun soucis. Je crée donc une nouvelle VM, sous Win 10, puis quand je veux la démarrer j'ai ce code d'erreur :

                         "Kernel driver not installed (rc=-1908)"             

J'ai donc fait mes recherches et remarquer qu'une personne avant quasiment le même problème --> https://forum.ubuntu-fr.org/viewtopic.php?id=1855491

Puis je me suis rendu compte que quand je voulais faire : sudo /etc/init.d/vboxdrv setup

Bah que le fichier vboxdrv n'existe pas. Je pense que c'est cela le problème.

Qu'en pensez-vous ?

Je vous remercie d'avance pour l'aide que vous aller me fournir :)

Hors ligne

#2 Le 17/05/2018, à 06:52

J5012

Re : Impossible d'utiliser VirtualBox

quelle version de virtualbox as-tu installé ?
la version fournie par les depots ubuntu, ou la version fournie par oracle sur le site web virtualbox point org ?

Hors ligne

#3 Le 17/05/2018, à 08:58

aguerriera

Re : Impossible d'utiliser VirtualBox

J'ai téléchargé la version 5.1 smile

Hors ligne

#4 Le 17/05/2018, à 11:08

krodelabestiole

Re : Impossible d'utiliser VirtualBox

je sais pas si ce message d'erreur correspond exactement mais rapidement :
est-ce que tu as activé les fonctionnalités de virtualisation dans le bios ?

http://f4b1.com/materiel-hardware/comme … -dans-bios

Dernière modification par krodelabestiole (Le 17/05/2018, à 11:09)

Hors ligne

#5 Le 17/05/2018, à 16:23

LukePerp

Re : Impossible d'utiliser VirtualBox

aguerriera a écrit :

J'ai téléchargé la version 5.1 smile

Bonjour, je pense savoir : dans les options de la machines virtuelle, dans systèmes, dans interface de paravirtualition, choisis hyper V.

Dernière modification par LukePerp (Le 17/05/2018, à 16:25)


Desktop : Ubuntu Mate 18.04 - Intel i5 - 8 Go - Dual boot Windows 7 pour jouer
Laptop ASUS : Ubuntu Mate 16.04 - Intel i3 - 4 Go
Vieux laptop de 1993 : Bodhi Linux - Pentium M - 432 Mo

Hors ligne

#6 Le 17/05/2018, à 16:55

aguerriera

Re : Impossible d'utiliser VirtualBox

Je regarde toute suite, merci pour ces réponses !

Je vous tiens au courant wink

Hors ligne

#7 Le 17/05/2018, à 18:17

aguerriera

Re : Impossible d'utiliser VirtualBox

Malheureusement, j'ai essayé mais rien n'y fais ça ne marche pas.

Une autre idée ?

Hors ligne

#8 Le 17/05/2018, à 20:05

aguerriera

Re : Impossible d'utiliser VirtualBox

Quelqu'un pourrait m'aider ? :'(

Hors ligne

#9 Le 17/05/2018, à 20:13

J5012

Re : Impossible d'utiliser VirtualBox

@aguerriera : as-tu pris le pack d'extensions 5.1 avec ?

et pourquoi cette version 5.1 ?

la version actu est la 5.2.12 ...

Hors ligne

#10 Le 17/05/2018, à 20:15

aguerriera

Re : Impossible d'utiliser VirtualBox

Comment avoir les packs d'extension ?

Je viens de faire la mise à jour je suis sur la 5.2 maintenant smile

Hors ligne

#11 Le 17/05/2018, à 20:36

J5012

Re : Impossible d'utiliser VirtualBox

aguerriera a écrit :

Comment avoir les packs d'extension ?

Je viens de faire la mise à jour je suis sur la 5.2 maintenant smile

voyons voir : en lisant toute la page download ?
https://www.virtualbox.org/wiki/Downloads

→ installer virtualbox
→ reboot
→ installer le pack dans virtualbox : voir dans les reglages menu ...

Hors ligne

#12 Le 17/05/2018, à 21:01

aguerriera

Re : Impossible d'utiliser VirtualBox

Quand j'installe Virtualbox :

root@charles-HP-ENVY-Notebook-13-ab0XX:~# apt-get install virtualbox-5.2
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
Les paquets suivants ont été installés automatiquement et ne sont plus nécessaires :
  libatk1.0-0:i386 libavahi-client3:i386 libavahi-common-data:i386 libavahi-common3:i386 libcairo2:i386 libcups2:i386 libdatrie1:i386 libgdk-pixbuf2.0-0:i386 libgraphite2-3:i386 libgsoap8
  libgssapi-krb5-2:i386 libgtk2.0-0:i386 libharfbuzz0b:i386 libjbig0:i386 libjpeg-turbo8:i386 libjpeg8:i386 libk5crypto3:i386 libkeyutils1:i386 libkrb5-3:i386 libkrb5support0:i386 libpango-1.0-0:i386
  libpango1.0-0:i386 libpangocairo-1.0-0:i386 libpangoft2-1.0-0:i386 libpangox-1.0-0:i386 libpangoxft-1.0-0:i386 libpixman-1-0:i386 libthai0:i386 libtiff5:i386 libusb-1.0-0:i386 libvncserver1
  libxcb-render0:i386 libxcb-shm0:i386 libxcomposite1:i386 libxft2:i386 libxi6:i386 libxinerama1:i386 libxrandr2:i386
Veuillez utiliser « sudo apt autoremove » pour les supprimer.
Les NOUVEAUX paquets suivants seront installés :
  virtualbox-5.2
0 mis à jour, 1 nouvellement installés, 0 à enlever et 3 non mis à jour.
Il est nécessaire de prendre 0 o/73,6 Mo dans les archives.
Après cette opération, 187 Mo d'espace disque supplémentaires seront utilisés.
Préconfiguration des paquets...
Sélection du paquet virtualbox-5.2 précédemment désélectionné.
(Lecture de la base de données... 254065 fichiers et répertoires déjà installés.)
Préparation du dépaquetage de .../virtualbox-5.2_5.2.12-122591~Ubuntu~xenial_amd64.deb ...
Dépaquetage de virtualbox-5.2 (5.2.12-122591~Ubuntu~xenial) ...
Traitement des actions différées (« triggers ») pour libc-bin (2.23-0ubuntu10) ...
Traitement des actions différées (« triggers ») pour systemd (229-4ubuntu21.2) ...
Traitement des actions différées (« triggers ») pour ureadahead (0.100.0-19) ...
Traitement des actions différées (« triggers ») pour hicolor-icon-theme (0.15-0ubuntu1) ...
Traitement des actions différées (« triggers ») pour shared-mime-info (1.5-2ubuntu0.1) ...
Traitement des actions différées (« triggers ») pour bamfdaemon (0.5.3~bzr0+16.04.20180209-0ubuntu1) ...
Rebuilding /usr/share/applications/bamf-2.index...
Traitement des actions différées (« triggers ») pour gnome-menus (3.13.3-6ubuntu3.1) ...
Traitement des actions différées (« triggers ») pour desktop-file-utils (0.22-1ubuntu5.1) ...
Traitement des actions différées (« triggers ») pour mime-support (3.59ubuntu1) ...
Paramétrage de virtualbox-5.2 (5.2.12-122591~Ubuntu~xenial) ...
Ajout du groupe « vboxusers » (GID 129)...
Fait.
vboxdrv.sh: failed: modprobe vboxdrv failed. Please use 'dmesg' to find out why.

There were problems setting up VirtualBox.  To re-start the set-up process, run
  /sbin/vboxconfig
as root.
Traitement des actions différées (« triggers ») pour libc-bin (2.23-0ubuntu10) ...

Et j'ai remarqué qu'il me note ça :

vboxdrv.sh: failed: modprobe vboxdrv failed. Please use 'dmesg' to find out why.

There were problems setting up VirtualBox.  To re-start the set-up process, run
  /sbin/vboxconfig

Est-ce normal ?

Hors ligne

#13 Le 17/05/2018, à 21:05

aguerriera

Re : Impossible d'utiliser VirtualBox

D'ailleurs en réinstallant Virtualbox, j'ai maintenant un problème avec le service. Ça devient une catastrophe :'(

root@charles-HP-ENVY-Notebook-13-ab0XX:~# service virtualbox status
● virtualbox.service
   Loaded: not-found (Reason: No such file or directory)
   Active: failed (Result: exit-code) since jeu. 2018-05-17 21:19:27 CEST; 44min ago

mai 17 21:19:27 charles-HP-ENVY-Notebook-13-ab0XX systemd[1]: Starting LSB: VirtualBox Linux kernel module...
mai 17 21:19:27 charles-HP-ENVY-Notebook-13-ab0XX virtualbox[4475]:  * Loading VirtualBox kernel modules...
mai 17 21:19:27 charles-HP-ENVY-Notebook-13-ab0XX virtualbox[4475]:  * modprobe vboxdrv failed. Please use 'dmesg' to find out why
mai 17 21:19:27 charles-HP-ENVY-Notebook-13-ab0XX virtualbox[4475]:    ...fail!
mai 17 21:19:27 charles-HP-ENVY-Notebook-13-ab0XX systemd[1]: virtualbox.service: Control process exited, code=exited status=1
mai 17 21:19:27 charles-HP-ENVY-Notebook-13-ab0XX systemd[1]: Failed to start LSB: VirtualBox Linux kernel module.
mai 17 21:19:27 charles-HP-ENVY-Notebook-13-ab0XX systemd[1]: virtualbox.service: Unit entered failed state.
mai 17 21:19:27 charles-HP-ENVY-Notebook-13-ab0XX systemd[1]: virtualbox.service: Failed with result 'exit-code'.
mai 17 21:52:17 charles-HP-ENVY-Notebook-13-ab0XX systemd[1]: Stopped LSB: VirtualBox Linux kernel module.
root@charles-HP-ENVY-Notebook-13-ab0XX:~# service virtualbox start
Failed to start virtualbox.service: Unit virtualbox.service not found.
root@charles-HP-ENVY-Notebook-13-ab0XX:~# 

Hors ligne

#14 Le 17/05/2018, à 21:16

J5012

Re : Impossible d'utiliser VirtualBox

tu utilises le depot oracle virtualbox pour debian pour installer virtualbox oracle ? avec apt-get ...

et non la version binaire deb pour ubuntu ?

Hors ligne

#15 Le 17/05/2018, à 21:19

aguerriera

Re : Impossible d'utiliser VirtualBox

Je comprends pas trop, j'imagine que oui.

Tu pourrais m'expliquer ?

Hors ligne

#16 Le 17/05/2018, à 21:24

J5012

Re : Impossible d'utiliser VirtualBox

si tu as pris le depot debian, sache que les paquets debian ne sont pas tout à fait programmés comme les paquets ubuntu ... notamment les modules dkms sont absents ... (erreur vboxdrv setup)

tu supprimes virtualbox de ton install, tu clean
tu supprimes le depots debian
tu telecharges la version virtualbox binaire pour ubuntu
tu reboot
tu installes cette version binaire
tu reboot
tu installe le pack d'extensions ...

Hors ligne

#17 Le 17/05/2018, à 21:38

aguerriera

Re : Impossible d'utiliser VirtualBox

Du coup, comment je fais pour le télécharger correctement ?

Puis, pour le supprimer correctement, est-ce que :  '' apt-get remove --purge virtualbox* '' suffit ?

Hors ligne

#18 Le 18/05/2018, à 14:14

aguerriera

Re : Impossible d'utiliser VirtualBox

Du coup, comment je fais ?

Hors ligne

#19 Le 18/05/2018, à 21:07

J5012

Re : Impossible d'utiliser VirtualBox

-pour desinstaller virtualbox completement :

sudo apt-get autoremove virtualbox* --purge

→ reboot au cas où un eventuel paquet dkms serait mal installé ...

-supprime le depot debian oracle que tu as ajouté, éventuellement (tu n'as pas confirmé?)

...
Debian-based Linux distributions

Add the following line to your /etc/apt/sources.list. According to your distribution, replace '<mydist>' with 'artful', 'zesty', 'yakkety', 'xenial', 'trusty', 'stretch', 'jessie', or 'wheezy' (older versions of VirtualBox supported different distributions):

deb https://download.virtualbox.org/virtualbox/debian <mydist> contrib

...

→ suit les instructions en sens inverse ...

-telecharge le paquet debian binaire selon ta version ubuntu, par ex si tu es en bionic, c'est ce lien à cliquer :

https://download.virtualbox.org/virtualbox/5.2.12/virtualbox-5.2_5.2.12-122591~Ubuntu~bionic_amd64.deb

→ lit cette doc : https://doc.ubuntu-fr.org/tutoriel/comm … _un_paquet
pour installer le paquet binaire ... : utilise gdebi c'est mieux ... ca installera dkms en meme temps ...

→ reboot

Hors ligne

#20 Le 13/06/2018, à 15:48

jjaaccqquueess

Re : Impossible d'utiliser VirtualBox

bonjour,

j'ai toujours un problème similaire, quoique je sois sous trusty et que j'ai virtualbox 5.0 (des dépôts ubuntu)
j'ai toujours ce message
kernel driver not installed (rc=-1908)

SAUF SI j'utilise un ancien noyau (actuellement le 4.4.0-121)

as-tu essayé de le faire?

actuellement, tous les derniers noyaux ne font pas fonctionner mon virtualbox-5.0
4.4.0-124
4.4.0-127
4.4.0-128

quelqu'un a idée s'il faut attendre
- soit que ubuntu mette dans ses dépôts un virtualbox plus récent ?
- soit qu'un futur noyau soit capable de faire fonctionner virtualbox 5.0 ?

dans les 2 cas, comment faire pour accélérer le processus :
demander à ubuntu de mettre virtualbox-5.1 ou 5.2 dans ses dépots
demander à linux de faire un noyau qui marche??

Hors ligne

#21 Le 17/06/2018, à 07:19

jjaaccqquueess

Re : Impossible d'utiliser VirtualBox

salut,

donc pour moi le problème est résolu

j'ai simplement installé le paquet virtualbox-5.1qui se trouve dans les dépôts Ubuntu (en fait, je n'avais pas bien regardé probablement...)

ça a fait le ménage de mon virtualbox-5.0, mais tout fonctionne parfaitement, en reprenant les machines virtuelles et leurs disques, donc rien à ré-installer,
plus de "kernel driver not installed (rc=-1908)"
et ça marche avec tous les noyaux.
donc résolu pour moi....

Hors ligne